#include<stdio.h>
#include<stdlib.h>
#include<string.h>


int main()
{
	char b1[20],b2[20],b3[20];
	scanf("%s%s%s",b1,b2,b3);
	char max[60];
	max[0]=0;
	if(strcmp(b1,b2)>0 && strcmp(b1,b3)>0){
		strcat(max,b1);
		if(strcmp(b2,b3)>0){
			strcat(max,b2);
			strcat(max,b3);
		}
		else{
			strcat(max,b3);
			strcat(max,b2);
		}
	}
	else{
		if(strcmp(b2,b1)>0 && strcmp(b2,b3)){
			strcat(max,b2);
			if(strcmp(b1,b3)>0){
				strcat(max,b1);
				strcat(max,b3);
			}
			else{
				strcat(max,b3);
				strcat(max,b1);
			}
		}
		else{
			strcat(max,b3);
			if(strcmp(b1,b2)>0){
				strcat(max,b1);
				strcat(max,b2);
			}
			else{
				strcat(max,b2);
				strcat(max,b1);
			}
		}
	}
	printf("%s",max);
	
	return 0;	
}